# Joining a cLAN network

## General Description

Joining a self-hosted infrastructure involves connecting to a network, server, or system that is privately owned and managed, instead of being hosted by a third-party service provider. This could be a business's internal server, a private cloud setup, or any other private IT infrastructure that is not publicly accessible or controlled by outside entities.

## Stories

### Story 1: Joining a private network

Alice' son Bob has never heard of cLAN, but receives an invitation URL from Alice who already set up private cLAN network for her family.

Bob opens the invitation link and lands on the cLAN website. He quickly learns about what cLAN is and can see that the invitation is for a private network of his family that hosts a number of services, like a private voice chat and a photo sharing platform.

Bob decides to join the network and follows the instructions to install the cLAN tool on his computer.

Feeding the invitation link to the cLAN tool, bob registers his machine with the network.

All programs required to interact with the network will be installed and configured automatically and securely.

Optionally, bob can customize the configuration of these programs through a simplified configuration interface.

### Story 2: Receiving breaking changes

The cLAN family network which Bob is part of received an update.

The existing photo sharing service has been removed and replaced with another alternative service. The new photo sharing service requires a different client app to view and upload photos.

Bob accepts the update. Now his environment will be updated. The old client software will be removed and the new one installed.

Because Bob has customized the previous photo viewing app, he is notified that this customization is no longer valid, as the software has been removed (deprecation message).l

Optionally, Bob can now customize the new photo viewing software through his cLAN configuration app or via a config file.

## Challenges

...
